var tabManager = (function() {
    var wtTabs = {};

    var addWTTab = function(tabId) {
        wtTabs[tabId] = true;
    };

    var deleteWTTab = function(tabId) {
        delete wtTabs[tabId];
    };

    var hasWTTab = function() {
        var hasWTTab = false;
        for (var key in wtTabs) {
            if (wtTabs.hasOwnProperty(key)) {
                hasWTTab = true;
                break;
            }
        }
        return hasWTTab;
    };

    var getWTTab = function(tabId) {
        return wtTabs[tabId];
    };

    return {
        addWTTab: addWTTab,
        deleteWTTab: deleteWTTab,
        hasWTTab: hasWTTab,
        getWTTab: getWTTab
    };
})();
