var mixedContentMessanger = (function() {
    chrome.extension.onMessage.addListener(function(msg, sender, sendResponse) {
        if (msg.action === 'mixed-content') {
            if (document.getElementById('nvw-frame')) {
                document.getElementById('nvw-frame').contentWindow.postMessage({
                    type: 'WTExtensionCheck',
                    text: 'mixed-content',
                    url: msg.url,
                    browser: 'chrome'
                }, '*');
            } else {
                window.postMessage({
                    type: 'WTExtensionCheck',
                    text: 'mixed-content',
                    url: msg.url,
                    browser: 'chrome'
                }, '*');
            }
        }
    });
})();
